/*
 * @Author: Kane
 * @Date: 2023-01-07 22:25:43
 * @LastEditors: Kane
 * @LastEditTime: 2023-02-14 23:10:22
 * @FilePath: /IT工具综合平台/src/store/modules/app.js
 * @Description: vuex中存放全局数据的模块
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
const state = {
    count: 1001,
    userInfo: null, //用户信息和token
    ui:{ //ui相关的数据
        asideBarCollapse: false, //侧边栏折叠标志位
        
    },
};
const getters = {};
const mutations = {
    SET_COUNT(state, newCount)
    {
        state.count = newCount;
    },
    SET_ASIDE_COLLAPSE(state)
    {
        state.asideBarCollapse = !state.asideBarCollapse;
    },
    SET_USERINFO(state, userInfo)
    {
        state.userInfo = userInfo;
    },
};
const actions = {};

export default {
    namespaced: true,
    state,
    getters,
    mutations,
    actions,
};
