/*
 * @Author: Kane
 * @Date: 2023-01-28 08:56:40
 * @LastEditors: Kane
 * @LastEditTime: 2023-02-22 17:09:17
 * @FilePath: /IT工具综合平台/src/test/data/TestData.js
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */

const requirementTestData = [
    {
        "serial_no": "RPXIM-220104-775",
        "title": "关于开发与第三方合作意外险产品团单保险凭证的申请",
        "department": "自贸试验区",
        "request_people": "曾素素",
        "status": "已取消",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年1月4日",
        "issue_date": "",
        "close_date": "2022年1月12日",
        "comment": "缺少审核材料。",
    },
    {
        "serial_no": "RPXIM-220112-138",
        "title": "关于将业务审批权限下放至厦门分公司且取消异地审核的申请",
        "department": "自贸试验区",
        "request_people": "黄冬瑶",
        "status": "已取消",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年1月12日",
        "issue_date": "",
        "close_date": "2022年3月2日",
        "comment": "企客部会签不同意，会签意见：从需求上看不涉及意外险。若为意外险保单，需按系统流程规则审核。",
    },
    {
        "serial_no": "RPXIM-220112-213",
        "title": "关于为政府团意添加主附险关系的申请",
        "department": "政保部",
        "request_people": "游凤至",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年1月12日",
        "issue_date": "",
        "close_date": "2022年2月11日",
        "comment": "已发布。",
    },
    {
        "serial_no": "RPXIM-220114-324",
        "title": "关于在“产险2018版非车业务管理系统”中开发批量退保功能的申请",
        "department": "非车险市场发展部",
        "request_people": "唐小兰",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年1月14日",
        "issue_date": "",
        "close_date": "2022年3月7日",
        "comment": "已发布。",
    },
    {
        "serial_no": "RPXIM-220110-777",
        "title": "关于开发在线小程序的申请",
        "department": "代理业务部 ",
        "request_people": "林臻瑜",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年1月10日",
        "issue_date": "",
        "close_date": "2022年1月25日",
        "comment": "开发微信小程序，用于导入线下出单的服务合同，系统自动生成电子版用印版服务合同（无客户签字），并实现自动下载功能。",
    },
    {
        "serial_no": "RPXIM-220207-108",
        "title": "关于提取“2007版车险承保系统”权限清单的申请",
        "department": "信息技术部",
        "request_people": "王炜",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年2月7日",
        "issue_date": "",
        "close_date": "2022年2月10日",
        "comment": "提取车险系统权限清单。",
    },
    {
        "serial_no": "RPXIM-220211-080",
        "title": "关于与厦门建发保险代理有限公司厦门自贸试验区分公司进行业务数据对接的申请",
        "department": "海沧支公司",
        "request_people": "侯美琪",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年2月11日",
        "issue_date": "",
        "close_date": "2022年4月19日",
        "comment": "",
    },
    {
        "serial_no": "RPXIM-220223-240",
        "title": "关于变更与国家电网对接接口及相关方案的申请",
        "department": "信息技术部",
        "request_people": "王炜",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年2月23日",
        "issue_date": "",
        "close_date": "2022年4月15日",
        "comment": "",
    },
    {
        "serial_no": "RPXIM-220217-057",
        "title": "关于优化易验车小程序拍照功能的申请",
        "department": "集美支公司",
        "request_people": "李兰艳",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年2月28日",
        "issue_date": "",
        "close_date": "2022年4月30日",
        "comment": "",
    },
    {
        "serial_no": "RPXIM-220309-038",
        "title": "关于修改与货兜平台合作方案内容的申请",
        "department": "自贸试验区",
        "request_people": "黄冬瑶",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年3月14日",
        "issue_date": "",
        "close_date": "2022年5月17日",
        "comment": "待修改与货兜平台方案内容。",
    },
    {
        "serial_no": "RPXIM-220309-130",
        "title": "关于修改融E保系统方案的申请",
        "department": "自贸试验区",
        "request_people": "曾素素",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年3月9日",
        "issue_date": "",
        "close_date": "2022年4月22日",
        "comment": "修改方案参数。",
    },
    {
        "serial_no": "RPXIM-220304-488",
        "title": "关于在太保在线小程序中映射经销门店的申请",
        "department": "代理业务部 ",
        "request_people": "林臻瑜",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年3月9日",
        "issue_date": "",
        "close_date": "2022年4月29日",
        "comment": "",
    },
    {
        "serial_no": "RPXIM-220322-880",
        "title": "申请产品上线-厦门市商业性柑橘种植保险",
        "department": "非车险市场发展部",
        "request_people": "唐小兰",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年3月25日",
        "issue_date": "",
        "close_date": "2022年4月19日",
        "comment": "申请农险产品上线。",
    },
    {
        "serial_no": "RPXIM-220324-385",
        "title": "关于开发团单保险凭证的申请",
        "department": "自贸试验区",
        "request_people": "曾素素",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年3月24日",
        "issue_date": "",
        "close_date": "2022年4月29日",
        "comment": "与慧择经纪线上对接旅意险、体育运动意外险等产品开发团单保险凭证。",
    },
    {
        "serial_no": "RPXIM-220328-001",
        "title": "申请产品上线-厦门市中央财政补贴型森林综合保险（商品林）（与人保共保跟单专用）",
        "department": "非车险市场发展部",
        "request_people": "唐小兰",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年3月28日",
        "issue_date": "",
        "close_date": "2022年4月21日",
        "comment": "申请农险产品上线。",
    },
    {
        "serial_no": "RPXIM-220331-554",
        "title": "裕欣经纪渠道前端出单系统对接我部新核心系统信息完善需求申请",
        "department": "思明支公司",
        "request_people": "陈重强",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年3月30日",
        "issue_date": "",
        "close_date": "2022年4月29日",
        "comment": "解决裕欣业务落地非车新核心问题。",
    },
    {
        "serial_no": "RPXIM-220401-218",
        "title": "初始化融E保方案",
        "department": "自贸试验区",
        "request_people": "曾素素",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年4月1日",
        "issue_date": "",
        "close_date": "2022年5月20日",
        "comment": "",
    },
    {
        "serial_no": "RPXIM-220401-125",
        "title": "申请产品上线-厦门市中央财政补贴型森林综合保险（公益林）（与人保共保跟单专用）",
        "department": "非车险市场发展部",
        "request_people": "唐小兰",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年4月1日",
        "issue_date": "",
        "close_date": "2022年4月21日",
        "comment": "",
    },
    {
        "serial_no": "RPXIM-220419-544",
        "title": "申请优化非车新核心计划生育家庭意外伤害保险批改界面",
        "department": "思明支公司",
        "request_people": "陈重强",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年4月19日",
        "issue_date": "",
        "close_date": "2022年5月5日",
        "comment": "新核心系统批改界面增加出险人员实名补录的选项。",
    },
    {
        "serial_no": "RPXIM-220419-267",
        "title": "申请变更产险厦门分公司官微客户隐私授权协议及相关接口、参数与文档",
        "department": "",
        "request_people": "陈果",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年4月19日",
        "issue_date": "",
        "close_date": "2022年5月10日",
        "comment": "",
    },
    {
        "serial_no": "RPXIM-220418-646",
        "title": "申请优化车险外网出单系统",
        "department": "",
        "request_people": "沈立虹",
        "status": "已取消",
        "current_department": "综合市场部",
        "current_people": "袁野",
        "submit_date": "2022年4月18日",
        "issue_date": "",
        "close_date": "2022年4月22日",
        "comment": "被综合市场部袁野老师退回，原因：1、报价单之前进行过一轮改造，是合并在一页的，由于车险和驾乘险保障责任都要列在上面，行间距保持一样的状态下可能会拆成两页，所以先请盘点下目前是否所有报价单都是两页的，还是部分？ 2、请附上相关截图，标注要在哪里展示等相关信息。",
    },
    {
        "serial_no": "RPXIM-220422-870",
        "title": "申请优化cibs系统“产品置换服务合同责任险”入单界面及完善融E保系统相关因子",
        "department": "",
        "request_people": "林臻瑜",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年4月22日",
        "issue_date": "",
        "close_date": "2022年5月24日",
        "comment": "1、在cibs系统“产品置换服务合同责任险”的特性信息界面下新增：“产品置换保障”保险责任项目； 2、在融E保系统中同步增加“产品置换保障”保障因子及费率因子。",
    },
    {
        "serial_no": "RPXIM-220429-002",
        "title": "北京赛福哈博保险经纪有限公司申请系统对接上线意外险产品",
        "department": "",
        "request_people": "曾素素",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年4月29日",
        "issue_date": "",
        "close_date": "2022年5月25日",
        "comment": "与北京赛福哈博保险经纪有限公司合作对接意外险产品，产品方案已在融E保系统配置完成，安排技术人员协助联调测试",
    },
    {
        "serial_no": "RPXIM-220513-575",
        "title": "申请变更电销综销系统界面",
        "department": "",
        "request_people": "洪奕娟",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年5月13日",
        "issue_date": "",
        "close_date": "2022-05-23",
        "comment": "电销综销系统附加险“三者医保外医疗费用责任险”、“车责司机附加医保外医疗费用责任险”、“车责乘客附加医保外医疗费用责任险”，增加保险金额“20万”选项。",
    },
    {
        "serial_no": "RPXIM-220524-470",
        "title": "申请提取新能源车板块的北理相关评分",
        "department": "",
        "request_people": "李满",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年5月24日",
        "issue_date": "",
        "close_date": "2022年6月28日",
        "comment": "提数申请",
    },
    {
        "serial_no": "RPXIM-220526-213",
        "title": "申请与慧择经纪理赔系统扩展责任险产品对接",
        "department": "",
        "request_people": "曾素素",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年5月26日",
        "issue_date": "",
        "close_date": "2022年8月17日",
        "comment": "与慧择理赔系统对接接口扩展责任险。",
    },
    {
        "serial_no": "RPXIM-220606-183",
        "title": "申请产品上线-厦门市商业性茶树碳汇损失保险",
        "department": "",
        "request_people": "唐小兰",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年6月6日",
        "issue_date": "",
        "close_date": "2022年6月16日",
        "comment": "",
    },
    {
        "serial_no": "RPXIM-220621-056",
        "title": "申请在码上保付款方式中增加“数字货币（交通银行）”选项",
        "department": "",
        "request_people": "唐小兰",
        "status": "已取消",
        "current_department": "综合市场部",
        "current_people": "邓文杉",
        "submit_date": "2022年6月21日",
        "issue_date": "",
        "close_date": "2022年6月28日",
        "comment": "被综合市场部邓文杉老师退回，原因:总公司产品不得修改，请分公司重新选定产品，并明确相关产品代码。",
    },
    {
        "serial_no": "RPXIM-220624-273",
        "title": "申请码上保系统为“个人意外险-营总专属方案”付款方式增加数字货币（交通银行）选项",
        "department": "",
        "request_people": "唐小兰",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年6月24日",
        "issue_date": "",
        "close_date": "2022年8月11日",
        "comment": "",
    },
    {
        "serial_no": "RPXIM-220627-057",
        "title": "申请企业客车开通对接车联网分档的外部数据",
        "department": "",
        "request_people": "游建成",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年6月27日",
        "issue_date": "",
        "close_date": "2022年7月27日",
        "comment": "",
    },
    {
        "serial_no": "RPXIM-220629-666",
        "title": "关于合作销售“ETC驾乘”相关产品的申请",
        "department": "",
        "request_people": "陈新辉",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年6月29日",
        "issue_date": "",
        "close_date": "2022年9月30日",
        "comment": "",
    },
    {
        "serial_no": "RPXIM-220715-021",
        "title": "申请cibs系统“教育培训托管机构责任保险”电子保批单权限",
        "department": "",
        "request_people": "蔡剑蓉",
        "status": "已取消",
        "current_department": "政保业务部",
        "current_people": "尹星",
        "submit_date": "2022年7月15日",
        "issue_date": "",
        "close_date": "2022年7月20日",
        "comment": "险种已迁移到新核心系统。",
    },
    {
        "serial_no": "RPXIM-220715-157",
        "title": "申请下发idst库数据",
        "department": "",
        "request_people": "王炜",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年7月15日",
        "issue_date": "",
        "close_date": "2022年8月10日",
        "comment": "申请下发 idst 库 nonauto_coinsurance_t 表数据，至分公司oracle 数据库。",
    },
    {
        "serial_no": "RPXIM-220721-138",
        "title": "申请在非车新核心系统增加人工批量导入案件的功能",
        "department": "",
        "request_people": "曾素素",
        "status": "已取消",
        "current_department": "营运中心",
        "current_people": "周聪",
        "submit_date": "2022年7月21日",
        "issue_date": "",
        "close_date": "2022年7月28日",
        "comment": "被营运中心周聪老师退回，原因：意外险相关责任中含猝死、意外身故残疾，在未明确说明业务场景及模式情况下，基于风险管理要求默认不同意开通批处理功能。如有特殊需求，请对业务情况及涉及的场景、作业模式详细说明，并经理赔管理部门评估后再行决定。",
    },
    {
        "serial_no": "RPXIM-220726-457",
        "title": "申请农险核心系统赋权厦门市商业性玉米种植保险",
        "department": "",
        "request_people": "唐小兰",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年7月26日",
        "issue_date": "",
        "close_date": "2022年8月11日",
        "comment": "农险相关。",
    },
    {
        "serial_no": "RPXIM-220729-433",
        "title": "申请上线厦门市中央政策性繁母猪和育肥猪，育肥猪全生命周期养殖保险",
        "department": "",
        "request_people": "唐小兰",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年7月29日",
        "issue_date": "",
        "close_date": "2022年8月24日",
        "comment": "农险相关。",
    },
    {
        "serial_no": "RPXIM-220802-517",
        "title": "关于开发团意险、雇主险自助线上批改功能的申请",
        "department": "",
        "request_people": "郑中华",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年8月2日",
        "issue_date": "",
        "close_date": "2022年9月23日",
        "comment": "",
    },
    {
        "serial_no": "RPXIM-220809-255",
        "title": "厦分&慧择&中保金服“家庭综合险”项目对接需求申请",
        "department": "",
        "request_people": "曾素素",
        "status": "已取消",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年8月9日",
        "issue_date": "",
        "close_date": "2022年8月9日",
        "comment": "重复提交！",
    },
    {
        "serial_no": "RPXIM-220809-568",
        "title": "慧择渠道“家庭综合险”项目对接需求申请",
        "department": "",
        "request_people": "曾素素",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年8月9日",
        "issue_date": "",
        "close_date": "2022年9月7日",
        "comment": "与慧择经纪渠道合作对接“家庭综合险”项目。",
    },
    {
        "serial_no": "RPXIM-220820-663",
        "title": "申请变更RMI系统（续保洞见平台）界面",
        "department": "",
        "request_people": "欧阳俊慧",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年8月20日",
        "issue_date": "",
        "close_date": "2022年9月23日",
        "comment": "在RMI系统（续保洞见平台）- “趋势分析（赔付进展）”的数据源中增加能源类型”、“多年续保标识（或上年保单的新续转字段）”的字段，便于监控新能源分品牌的已报、预赔的变化，驱动业务发展。",
    },
    {
        "serial_no": "RPXIM-220820-331",
        "title": "申请提取账号权限清单",
        "department": "",
        "request_people": "王炜",
        "status": "已取消",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年8月22日",
        "issue_date": "",
        "close_date": "2022年10月15日",
        "comment": "重新提交新需求。",
    },
    {
        "serial_no": "RPXIM-220822-610",
        "title": "申请提取厦门分公司发函流程清单",
        "department": "",
        "request_people": "王炜",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年8月22日",
        "issue_date": "",
        "close_date": "2022年8月26日",
        "comment": "因合规部需要，提取厦门分公司上半年创建发函流程清单。",
    },
    {
        "serial_no": "RPXIM-220831-802",
        "title": "申请为慧择渠道责任险产品开通电子发票短信邮件",
        "department": "",
        "request_people": "曾素素",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年8月31日",
        "issue_date": "",
        "close_date": "2022年10月25日",
        "comment": "为慧择渠道的责任险保单开通电子发票短信邮件通知功能。",
    },
    {
        "serial_no": "RPXIM-220902-504",
        "title": "关于与咪咕动漫有限公司合作销售“体育健身运动人身意外伤害保险”的申请",
        "department": "",
        "request_people": "张晔",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年9月2日",
        "issue_date": "",
        "close_date": "2022年11月11日",
        "comment": "在厦门i健身公众号上线体育健身运动人身意外伤害保险，增加新合作技术方咪咕动漫有限公司。",
    },
    {
        "serial_no": "RPXIM-220909-477",
        "title": "关于变更厦门市公共资源交易中心业务接口IP地址的申请",
        "department": "",
        "request_people": "王炜",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年9月9日",
        "issue_date": "",
        "close_date": "2022年9月23日",
        "comment": "修改合作方接口地址。",
    },
    {
        "serial_no": "RPXIM-220902-648",
        "title": "申请融e保系统开发附加调整特定事故保险金额保险（互联网）条款费率",
        "department": "",
        "request_people": "张晔",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年9月2日",
        "issue_date": "",
        "close_date": "2022年11月11日",
        "comment": "为“附加调整特定事故保险金额保险（互联网）”产品开发开发条款和费率计算。",
    },
    {
        "serial_no": "RPXIM-220829-756",
        "title": "申请在核心系统、融E保系统为险种添加主附险对应关系",
        "department": "",
        "request_people": "曾素素",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年8月29日",
        "issue_date": "",
        "close_date": "2022年10月28日",
        "comment": "主险：23Z3980000000001 家庭人身意外伤害保险（互联网单证通用） 附加险：22Q1980000000000 附加团体意外伤害住院津贴保险（互联网）",
    },
    {
        "serial_no": "RPXIM-221017-035",
        "title": "申请提取账号权限清单",
        "department": "",
        "request_people": "王炜",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年10月17日",
        "issue_date": "",
        "close_date": "2022年10月28日",
        "comment": "重新提交RPXIM-220820-331。",
    },
    {
        "serial_no": "RPXIM-220920-632",
        "title": "申请为智慧门店自助办理机增加险种，并扩大保单承保地",
        "department": "",
        "request_people": "戴安琪",
        "status": "已取消",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年9月20日",
        "issue_date": "",
        "close_date": "2022年11月1日",
        "comment": "因开发团队项目分析遗漏部分功能模块，导致进度延误。为不影响开发团队绩效，关闭此需求，重新提交。",
    },
    {
        "serial_no": "RPXIM-220923-388",
        "title": "申请提取新核心系统诉讼案件录入清单",
        "department": "",
        "request_people": "周毅彬",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年9月23日",
        "issue_date": "",
        "close_date": "2022年10月31日",
        "comment": "已交付数据。",
    },
    {
        "serial_no": "RPXIM-221014-671",
        "title": "关于增加与慧择平台对接功能的申请",
        "department": "",
        "request_people": "曾素素",
        "status": "已取消",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年10月14日",
        "issue_date": "",
        "close_date": "2022年10月14日",
        "comment": "因审核人长期未审核通过，撤回需求重新选择审核条线。",
    },
    {
        "serial_no": "RPXIM-221014-165",
        "title": "关于增加与慧择平台对接功能的申请",
        "department": "",
        "request_people": "曾素素",
        "status": "待发布",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年10月14日",
        "issue_date": "2022年12月31日",
        "close_date": "",
        "comment": "变更与慧择平台理赔系统对接的部分功能。",
    },
    {
        "serial_no": "RPXIM-221021-435",
        "title": "关于上线产险厦门分公司车险投保实名认证功能的申请",
        "department": "",
        "request_people": "黄晓玲",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年10月21日",
        "issue_date": "",
        "close_date": "2022年11月30日",
        "comment": "应中国银保信要求上线车险投保实名认证服务。",
    },
    {
        "serial_no": "RPXIM-221021-620",
        "title": "关于与慧择经纪合作货运险产品的申请",
        "department": "",
        "request_people": "曾素素",
        "status": "已取消",
        "current_department": "科技创新中心",
        "current_people": "刘婷婷",
        "submit_date": "2022年10月21日",
        "issue_date": "",
        "close_date": "2022年11月21日",
        "comment": "由总公司科技创新中心刘婷婷老师退回，原因：经与业务老师沟通，此需求承保为自动核保与人工核保两种方式，还涉及外币，还需做批改功能，需要明确内容颇多，已与业务老师沟通，请明确需求流程或细节后，在提交。",
    },
    {
        "serial_no": "RPXIM-221026-815",
        "title": "申请修复数字承保系统退保功能",
        "department": "",
        "request_people": "沈立虹",
        "status": "部门审核",
        "current_department": "综合市场部",
        "current_people": "吴凯伦",
        "submit_date": "2022年10月26日",
        "issue_date": "",
        "close_date": "",
        "comment": "不止为何未审核。",
    },
    {
        "serial_no": "RPXIM-221026-156",
        "title": "关于变更与国家电网对接接口的申请",
        "department": "",
        "request_people": "王炜",
        "status": "需求暂缓",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年10月26日",
        "issue_date": "",
        "close_date": "",
        "comment": "因合作方支付模式发生变更，接口内容还需调整，故此暂缓此需求。",
    },
    {
        "serial_no": "RPXIM-221028-572",
        "title": "关于关闭与国家电网合作业务个人支付模式的申请",
        "department": "",
        "request_people": "王炜",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年10月28日",
        "issue_date": "",
        "close_date": "2022年11月12日",
        "comment": "国网对接需求。关闭个人支付，保留对公支付。",
    },
    {
        "serial_no": "RPXIM-221028-083",
        "title": "申请清理财汇平台历史数据",
        "department": "",
        "request_people": "郭晓玲",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年10月28日",
        "issue_date": "",
        "close_date": "2022年11月25日",
        "comment": "因总公司财务部发现共保摊赔科目有长账龄负数挂账，影响坏账计提，要求我司对财汇系统进行清理。郭等人对核销科目余额明细查询中抽取“其他应收款-司外保险赔付-共保”数据准备做清理的时候发现，大部分数据已完成核销，但系统仍显示负数挂账。故此提交申请财汇系统同意清理历史数据。",
    },
    {
        "serial_no": "RPXIM-221101-483",
        "title": "申请为智慧门店自助办理机增加险种，并扩大保单承保地",
        "department": "",
        "request_people": "戴安琪",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年11月1日",
        "issue_date": "",
        "close_date": "",
        "comment": "申请客户可在自助办理机上查询太保任意地区全险种的保单。",
    },
    {
        "serial_no": "RPXIM-221107-744",
        "title": "关于变更与国家电网对接接口的申请",
        "department": "",
        "request_people": "王炜",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年11月7日",
        "issue_date": "",
        "close_date": "2022年11月25日",
        "comment": "国网对接需求，因合作方接口变更。",
    },
    {
        "serial_no": "RPXIM-221124-472",
        "title": "关于与慧择经纪合作货运险产品的申请",
        "department": "",
        "request_people": "曾素素",
        "status": "需求分析",
        "current_department": "科技创新中心",
        "current_people": "邵俭",
        "submit_date": "2022年11月24日",
        "issue_date": "",
        "close_date": "",
        "comment": "与慧择平台对接上线货运险业务。",
    },
    {
        "serial_no": "RPXIM-221025-861",
        "title": "申请开通特种车险的非车险险种出单板块",
        "department": "",
        "request_people": "游建成",
        "status": "已取消",
        "current_department": "企业客户部",
        "current_people": "刘愉",
        "submit_date": "2022年10月25日",
        "issue_date": "",
        "close_date": "",
        "comment": "被企客部刘愉老师退回，原因：请说明体现货运险产品所需的具体产品种类，并不是所有货运险均适合车险。",
    },
    {
        "serial_no": "RPXIM-221117-817",
        "title": "太保e办系统申请添加实际用印人功能",
        "department": "",
        "request_people": "江琳",
        "status": "已完成",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年11月17日",
        "issue_date": "",
        "close_date": "2022年12月9日",
        "comment": "在太保e办系统用印流程界面增加“实际用印人”字段。",
    },
    {
        "serial_no": "RPXIM-221125-036",
        "title": "关于变更与国家电网对接接口的申请",
        "department": "",
        "request_people": "王炜",
        "status": "方案确认",
        "current_department": "信用险事业部",
        "current_people": "陈张立",
        "submit_date": "2022年11月25日",
        "issue_date": "2023年1月27日",
        "close_date": "",
        "comment": "从需求RPXIM-221107-744拆分出5.6接口开发任务。增加线下退保后，保费原路退回客户账户，成功后推送通知的功能。",
    },
    {
        "serial_no": "RPXIM-221226-013",
        "title": "关于变更在厦门i健身公众号投保界面 产品显示顺序的申请",
        "department": "",
        "request_people": "张晔",
        "status": "需求分析",
        "current_department": "",
        "current_people": "",
        "submit_date": "2022年12月26日",
        "issue_date": "",
        "close_date": "",
        "comment": "修改马上保系统投保界面，将更昂贵的产品放到最前面，蛊惑消费者多花钱。",
    },
];

export { requirementTestData };
