/*
 * @Author: Kane
 * @Date: 2022-12-22 17:16:53
 * @LastEditors: Kane
 * @LastEditTime: 2023-02-22 14:49:58
 * @FilePath: /IT工具综合平台/src/utils/api/common.js
 * @Description: 通用请求
 *
 * Copyright (c) ${2022} by Kane, All Rights Reserved.
 */
//import axios from "axios";
import instance from "@utils/request";

const URL_GET_VALIDATE_CODE = "";

/**
 * 获取验证码
 * @param {*} data 承载数据的对象
 * @returns Promise对象
 */
export function GetValidate(data)
{
    return instance.request(
        {
            method: "post",
            url: URL_GET_VALIDATE_CODE,
            data,
        }
    );
}

